0

We are trying to upgrade Magento Version from 2.1.7 to 2.1.12. The upgrade process went well but after running static content deploy we are facing the issue. Like this many, '.less' files failed.

Compilation from source: /var/www/html/btf_prod/app/design/frontend/Codazon/fastest/outdoor/web/css/email.less

Compilation from source:
frontend/Codazon/fastest_outdoor/en_US/css/email.less
Unable to get content for 'frontend/Codazon/fastest_outdoor/en_US/Magento_Bundle/css/source/_email.less'

......

Compilation from source: /var/www/html/btf_prod/app/design/frontend/Codazon/fastest/outdoor/web/css/email-inline.less

Compilation from source:
frontend/Codazon/fastest_outdoor/en_US/css/email-inline.less
Unable to get content for 'frontend/Codazon/fastest_outdoor/en_US/Magento_Bundle/css/source/_email.less'

......................

Compilation from source: /var/www/html/btf_prod/app/design/frontend/Codazon/fastest/outdoor/web/css/styles-l.less

Compilation from source:
frontend/Codazon/fastest_outdoor/en_US/css/styles-l.less
Unable to get content for 'frontend/Codazon/fastest_outdoor/en_US/Codazon_AjaxLayeredNav/css/source/_module.less'

......

Compilation from source: /var/www/html/btf_prod/app/design/frontend/Codazon/fastest/outdoor/web/css/styles-m.less

Compilation from source:
frontend/Codazon/fastest_outdoor/en_US/css/styles-m.less
Unable to get content for 'frontend/Codazon/fastest_outdoor/en_US/Codazon_AjaxLayeredNav/css/source/_module.less'

We tried many different solutions. Here are they

  1. Disabled redis and Varnish in our server and tested. Tried in our local machine also, same error.

  2. Some other source suggested to change the name and place underscore before the less files. In that case they are ignored but deployment is successful as a result UI is breaking.

  3. We logged all the files which are going through the static content deployment process found that _email.less is getting generated after the error, which is of no issue. How can we control the order of static content deploy.

  4. Added jobs=0 to the command while running.

None of the above is helping. Please suggest if there is anything else we can try.

2
  • You need to upgrade one by one version from 2.1.7 to 2.18 and so on. It will work properly
    – user54866
    Apr 13, 2018 at 12:41
  • Thanks @MohammadRashidHussain, we will certainly try that. Is this a standard process of upgrade or step by step upgrade is recommended? Did you face the issue before? Apr 16, 2018 at 9:14

1 Answer 1

0

Yes I have faced same issue,

In my case its resolved issue once upgrade one by one step.

Hope it will work for you :)

1
  • Thanks for confirming. We are doing that let you know once done. Apr 18, 2018 at 15:20

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.